MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025886Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2015-03-03 07:262015-05-14 15:31
Reporterpkv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025886: Wrong result obtained by projection algorithm.
DescriptionWrong result obtained by projection algorithm.

The issue comes from:
http://tracker.dev.opencascade.org/view.php?id=25880 [^]
Steps To Reproduce# Use the following DRAW commands to reproduce the problem:
#
restore cx
explode cx
copy cx_1 f
mksurface s f
mkcurve c3 cx_3
mkcurve c5 cx_5

project c3x c3 s
project c5x c5 s
TagsNo tags attached.
Test case numberbugs modalg_5(010) bug25886
Attached Files? file icon cx (13,233 bytes) 2015-03-03 07:26
jpg file icon Figure01.jpg (7,002 bytes) 2015-03-03 07:28
png file icon inputData_Zoom.png (77,772 bytes) 2015-03-05 08:53
png file icon pcurve_after_fix.png (38,104 bytes) 2015-03-05 08:54
png file icon c3xZoom.png (25,404 bytes) 2015-03-05 10:55
txt file icon c3xDump.txt (7,940 bytes) 2015-03-05 10:55

- Relationships
child of 0025880closedbugmaster Community fuzzy booleans with multiple tools 

-  Notes
(0038028)
msv (developer)
2015-03-03 10:13

Dear aml, it seems you already had deal with such cases. It concerns projecting of a curve near the sphere pole.
(0038116)
git (administrator)
2015-03-05 08:48

Branch CR25886 has been created by aml.

SHA-1: 01b3941be3d48e75abc22f8659333042b1fe13e1


Detailed log of new commits:

Author: aml
Date: Wed Mar 4 14:29:35 2015 +0300

    0025886: Wrong result obtained by projection algorithm
    
    Usage of current iteration approximation added if necessary.
    Test case update.
(0038117)
aml (developer)
2015-03-05 08:58
edited on: 2015-03-05 09:20

Dear msv,

Please check current state of branch CR25886.

Take into account that fix heals only self intersection of pcurves and does not change their form. Please look to the attached images for additional information.

(0038122)
msv (developer)
2015-03-05 10:42

Reviewed.
(0038123)
aml (developer)
2015-03-05 10:56

Zoomed image of c3x curve and it dump added.
(0038157)
git (administrator)
2015-03-05 17:47

Branch CR25886 has been updated by apv.

SHA-1: ad96793f6cc296e6ca61011d979497030ba4b60f


Detailed log of new commits:

Author: apv
Date: Thu Mar 5 17:46:58 2015 +0300

    Test-case for issue 0025886

(0038162)
apv (tester)
2015-03-05 19:10

Dear BugMaster,

Branch CR25886 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 01b3941be3d48e75abc22f8659333042b1fe13e1

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 2 (2 on master)
products component:
   Linux: 11 (11 on master)

Regressions/Differences:
Not detected

Testing cases:
bugs modalg_5(010) bug25886 - OK
http://occt-tests/CR25886-master-occt-64/Debian60-64/bugs/modalg_5/bug25886.html [^]
http://occt-tests/CR25886-master-occt-64/Windows-64-VC10/bugs/modalg_5/bug25886.html [^]

Testing on Linux:
Total MEMORY difference: 91545848 / 91903929
Total CPU difference: 56964.69000000013 / 59519.03999999998

Testing on Windows:
Total MEMORY difference: 57936908 / 57937384
Total CPU difference: 29173.828125 / 38673.234375
(0038625)
git (administrator)
2015-03-18 13:39

Branch CR25886 has been deleted by inv.

SHA-1: ad96793f6cc296e6ca61011d979497030ba4b60f

- Related Changesets
occt: master 3629864d
Timestamp: 2015-03-12 09:18:49
Author: aml
Committer: bugmaster
Details ] Diff ]
0025886: Wrong result obtained by projection algorithm

Usage of current iteration approximation added if necessary.

Test-case for issue 0025886
mod - src/Approx/Approx_ComputeCLine.gxx Diff ] File ]
add - tests/bugs/modalg_5/bug25886 Diff ] File ]
mod - tests/de/step_2/O3 Diff ] File ]
mod - tests/de/step_4/D2 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-03-03 07:26 pkv New Issue
2015-03-03 07:26 pkv Assigned To => msv
2015-03-03 07:26 pkv File Added: cx
2015-03-03 07:26 pkv Status new => assigned
2015-03-03 07:28 pkv File Added: Figure01.jpg
2015-03-03 07:29 pkv Relationship added child of 0025880
2015-03-03 10:12 msv Assigned To msv => pkv
2015-03-03 10:12 msv Assigned To pkv => aml
2015-03-03 10:13 msv Note Added: 0038028
2015-03-05 08:48 git Note Added: 0038116
2015-03-05 08:53 aml File Added: inputData_Zoom.png
2015-03-05 08:54 aml File Added: pcurve_after_fix.png
2015-03-05 08:58 aml Note Added: 0038117
2015-03-05 08:58 aml Assigned To aml => msv
2015-03-05 08:58 aml Status assigned => resolved
2015-03-05 09:20 aml Note Edited: 0038117 View Revisions
2015-03-05 10:42 msv Note Added: 0038122
2015-03-05 10:42 msv Assigned To msv => bugmaster
2015-03-05 10:42 msv Status resolved => reviewed
2015-03-05 10:49 apv Assigned To bugmaster => apv
2015-03-05 10:55 aml File Added: c3xZoom.png
2015-03-05 10:55 aml File Added: c3xDump.txt
2015-03-05 10:56 aml Note Added: 0038123
2015-03-05 17:47 git Note Added: 0038157
2015-03-05 17:48 apv Test case number => bugs modalg_5(010) bug25886
2015-03-05 19:10 apv Note Added: 0038162
2015-03-05 19:10 apv Assigned To apv => bugmaster
2015-03-05 19:10 apv Status reviewed => tested
2015-03-13 16:52 bugmaster Changeset attached => occt master 3629864d
2015-03-13 16:52 bugmaster Status tested => verified
2015-03-13 16:52 bugmaster Resolution open => fixed
2015-03-18 13:39 git Note Added: 0038625
2015-05-14 15:28 aiv Status verified => closed
2015-05-14 15:31 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker